# Authentication
[LibTDS API]

Functions for handling authentication. More...

## Functions

void | tds_answer_challenge (const char *passwd, const unsigned char *challenge, TDSANSWER *answer)
| Crypt a given password using schema required for NTLMv1 authentication.
static void | tds_convert_key (unsigned char *key_56, DES_KEY *ks)
static void | tds_encrypt_answer (unsigned char *hash, const unsigned char *challenge, unsigned char *answer)

## Detailed Description

Functions for handling authentication.

## Function Documentation

void tds_answer_challenge | ( | const char * | passwd,
|  | const unsigned char * | challenge,
|  | TDSANSWER * | answer
| ) |

Crypt a given password using schema required for NTLMv1 authentication.

Parameters:

  | passwd | clear text domain password
  | challenge | challenge data given by server
  | answer | buffer where to store crypted password